<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Heli ja pilt</title>
</head>
<body>
    <h1>Heli ja pilt (demo)</h1>

    <video id="video123" src="video.mp4" width="500"></video><br>
    <button onclick="playVideo()">Käivita video</button>
    <button onclick="stopVideo()">Seiska video</button>
    <br>
    <audio src="audio.mp3" style="width: 500px" controls></audio>
    <br>
    <button onclick="playAll()">Käivita audio ja video</button>
    <script>
        function playVideo() {
            // Mind ignoreeritakse
            /* 
                Mind ka ignoreeritakse!
                Ja mind!
            */
            document.querySelector("#video123").play();
        }

        function stopVideo() {
            document.querySelector("video").pause();
        }

        function playAll() {
            document.querySelector("video").play();
            document.querySelector("audio").play();
        }
    </script>
</body>
</html>